gnutls_pkcs12_bag_decrypt(3)

NAME
gnutls_pkcs12_bag_decrypt - This function will decrypt an encrypted bag

SYNOPSIS
#include <gnutls/pkcs12.h>

int gnutls_pkcs12_bag_decrypt(gnutls_pkcs12_bag_t bag, const char * pass);

ARGUMENTS

gnutls_pkcs12_bag_t bag
    The bag

const char * pass
    The password used for encryption, must be ASCII.

DESCRIPTION
This function will decrypt the given encrypted bag and return 0 on success.

RETURNS
On success, GNUTLS_E_SUCCESS (zero) is returned, otherwise an error code is returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.